javax.xml.rpc.soap

## Class SOAPFaultException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - javax.xml.rpc.soap.SOAPFaultException

- All Implemented Interfaces:
    Serializable

      public class SOAPFaultException
      extends RuntimeException

  The `SOAPFaultException` exception represents a SOAP fault.

  The message part in the SOAP fault maps to the contents of `faultdetail` element accessible through the `getDetail` method on the `SOAPFaultException`. The method `createDetail` on the `javax.xml.soap.SOAPFactory` creates an instance of the `javax.xml.soap.Detail`.

  The `faultstring` provides a human-readable description of the SOAP fault. The `faultcode` element provides an algorithmic mapping of the SOAP fault.

  Refer to SOAP 1.1 and WSDL 1.1 specifications for more details of the SOAP faults.

  Version:
    1.0
  Author:
    Rahul Sharma
  See Also:
    `Detail`, `SOAPFactory.createDetail()`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SOAPFaultException(QName faultcode, String faultstring, String faultactor, Detail faultdetail)` Constructor for the SOAPFaultException

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Detail` | `getDetail()` Gets the detail element.
    `String` | `getFaultActor()` Gets the `faultactor` element.
    `QName` | `getFaultCode()` Gets the `faultcode` element.
    `String` | `getFaultString()` Gets the `faultstring` element.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SOAPFaultException

          public SOAPFaultException(QName faultcode,
                            String faultstring,
                            String faultactor,
                            Detail faultdetail)

      Constructor for the SOAPFaultException
      Parameters:
        `faultcode` - `QName` for the SOAP faultcode
        `faultstring` - `faultstring` element of SOAP fault
        `faultactor` - `faultactor` element of SOAP fault
        `faultdetail` - `faultdetail` element of SOAP fault
      See Also:
        `SOAPFactory.createDetail()`

  - ### Method Detail

    - #### getFaultCode

          public QName getFaultCode()

      Gets the `faultcode` element. The `faultcode` element provides an algorithmic mechanism for identifying the fault. SOAP defines a small set of SOAP fault codes covering basic SOAP faults.
      Returns:
        QName of the faultcode element

    - #### getFaultString

          public String getFaultString()

      Gets the `faultstring` element. The `faultstring` provides a human-readable description of the SOAP fault and is not intended for algorithmic processing.
      Returns:
        faultstring element of the SOAP fault

    - #### getFaultActor

          public String getFaultActor()

      Gets the `faultactor` element. The `faultactor` element provides information about which SOAP node on the SOAP message path caused the fault to happen. It indicates the source of the fault.
      Returns:
        `faultactor` element of the SOAP fault

    - #### getDetail

          public Detail getDetail()

      Gets the detail element. The detail element is intended for carrying application specific error information related to the SOAP Body.
      Returns:
        `detail` element of the SOAP fault
      See Also:
        `Detail`

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.